Bug 1311741 - repository export of a repo w/o rpm packages errors
repository export of a repo w/o rpm packages errors
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Inter Satellite Sync (Show other bugs)
6.0.4
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 15:59 EST by Tom McKay
Modified: 2017-02-24 02:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 13511 None None None 2016-04-22 10:59 EDT

  None (edit)
Description Tom McKay 2016-02-24 15:59:13 EST
The "export_distributor" is only associated with repos that contain RPMs. If it only has puppet (and, I assume, the same for docker) then crashes here

<pre>
app/lib/actions/pulp/repository/distributor_publish.rb

        def distributor_id(pulp_id, distributor_type_id)
          distributor = repo(pulp_id)["distributors"].find do |dist|
            dist["distributor_type_id"] == distributor_type_id
          end
 -->      distributor['id']
        end
</pre>

This error is fixable once this PR goes in:
https://github.com/Katello/katello/pull/5711
Comment 1 Tom McKay 2016-02-24 15:59:15 EST
Created from redmine issue http://projects.theforeman.org/issues/13511
Comment 3 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 4 Bryan Kearney 2016-07-26 11:35:18 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 6 Bryan Kearney 2016-08-10 15:14:11 EDT
Upstream bug component is Inter Satellite Sync
Comment 7 Bryan Kearney 2016-08-10 16:15:10 EDT
Upstream bug component is Content Management
Comment 8 Bryan Kearney 2016-08-10 18:14:49 EDT
Upstream bug component is Inter Satellite Sync

Note You need to log in before you can comment on or make changes to this bug.